/*
              GESTIONE PGA TIPO MICROCHIP MCP6S91(2/3)
*/
#define SCL_pin    (PORTC.F4)        // CLK del MCP6S9x
#define SDA_pin    (PORTA.F4)                          // DATA del MCP6S9x
#define ENEBLE_PGA1 (PORTC.F3)                    // Enable CS del MCP6S9x N.1
//#define        ENEBLE_PGA2 (PORTD.F1)                  // Enable CS del MCP6S9x N.2
//
// --------------------------------------------------- PGA Guadagno
void Tx_PGA (unsigned short temp) {
unsigned short count;
      SCL_pin = 0;
       SDA_pin = 0;
        count = 8 ;
      for (count; count > 0; count --) {
         Delay_us (10) ;
          if (temp.F7 == 1) { SDA_pin = 1; Delay_us (10) ; SCL_pin = 1 ;
        }
           else { SCL_pin = 1 ; }
          Delay_us (10) ;
            SCL_pin = 0 ;
              SDA_pin = 0;
              temp = temp << 1;
 }
}
// --------------------------------------------------- PGA apertura canale 0
void PGA_Canale (unsigned short canale) {
      ENEBLE_PGA1 = 0 ;            // Enable CS del MCP6S9x
        Tx_PGA (0b01000001);       // Registro selezione canale
          Tx_PGA (canale) ;       // Canale 0 o 1
           ENEBLE_PGA1 = 1 ;        // Disenable CS del MCP6S9x
}
// --------------------------------------------------- PGA SHUTDOWN
void PGA_SHUTDOWN () {
      ENEBLE_PGA1 = 0 ;            // Enable CS del MCP6S9x
        Tx_PGA (0b00100000) ;     // PGA OFF
         ENEBLE_PGA1 = 1 ;        // Disenable CS del MCP6S9x
}
// --------------------------------------------------- PGA Guadagno
void PGA_Guadagno (unsigned short guadagno) {
      if (guadagno > 0x7) { guadagno = 0x07; }
       ENEBLE_PGA1 = 0 ;           // Enable CS del MCP6S9x
         Tx_PGA (0b01000000) ;     // PGA ON, select gain
          Tx_PGA (guadagno) ;
           ENEBLE_PGA1 = 1 ;        // Disenable CS del MCP6S9x
}
/*





*/