/*




*/
//
// --- 0x0A0: stesso BANK di ADCON0  e ADRESH (80 Byte)
 char v1 absolute 0x0A0,v2 absolute 0x0A1,v3 absolute 0x0A2,v4 absolute 0x0A3,v5 absolute 0x0A4,v6 absolute 0x0A5,
      v7 absolute 0x0A6,v8 absolute 0x0A7,v9 absolute 0x0A8,v10 absolute 0x0A9,v11 absolute 0x0AA,v12 absolute 0x0AB,
      v13 absolute 0x0AC,v14 absolute 0x0Ad, v15 absolute 0x0AE,v16 absolute 0x0Af,v17 absolute 0x0b0,v18 absolute 0x0B1,
      v19 absolute 0x0B2,v20 absolute 0x0B3,v21 absolute 0x0B4,v22 absolute 0x0B5,v23 absolute 0x0B6,v24 absolute 0x0B7,
      v25 absolute 0x0B8,v26 absolute 0x0B9,v27 absolute 0x0BA,v28 absolute 0x0BB,v29 absolute 0x0bc,v30 absolute 0x0BD,
      v31 absolute 0x0BE,v32 absolute 0x0bf,v33 absolute 0x0C0,v34 absolute 0x0C1,v35 absolute 0x0C2,
      v36 absolute 0x0C3,v37 absolute 0x0C4,v38 absolute 0x0C5,v39 absolute 0x0C6,v40 absolute 0x0C7,v41 absolute 0x0C8,
      v42 absolute 0x0C9,v43 absolute 0x0CA,v44 absolute 0x0CB,v45 absolute 0x0CC,v46 absolute 0x0CD,v47 absolute 0x0CE,
      v48 absolute 0x0CF,v49 absolute 0x0D0,v50 absolute 0x0D1,v51 absolute 0x0D2,v52 absolute 0x0D3,v53 absolute 0x0D4,
      v54 absolute 0x0D5,v55 absolute 0x0D6,v56 absolute 0x0D7,v57 absolute 0x0D8,v58 absolute 0x0D9,v59 absolute 0x0DA,
      v60 absolute 0x0DB,v61 absolute 0x0DC,v62 absolute 0x0DD,v63 absolute 0x0DE,v64 absolute 0x0DF,v65 absolute 0x0E0,
      v66 absolute 0x0E1,v67 absolute 0x0E2,v68 absolute 0x0E3,v69 absolute 0x0E4,v70 absolute 0x0E5,v71 absolute 0x0E6,
      v72 absolute 0x0E7,v73 absolute 0x0E8,v74 absolute 0x0E9,v75 absolute 0x0EA,v76 absolute 0x0EB,v77 absolute 0x0EC,
      v78 absolute 0x0ED,v79 absolute 0x0EE,v80 absolute 0x0EF 
  ;
//
 char sample_v1[80]absolute 0x0A0; // 0x0A0: stesso BANK di ADCON0  e ADRESH (80 Byte)
 char samlpe_v2[50]absolute 0x220;
//
typedef unsigned int adc_result_t;
//
typedef struct
{
    adc_result_t adcResult1;
    adc_result_t adcResult2;
} adc_sync_double_result_t;


typedef enum
{
    channel_Temp =  0x1D,
    channel_DAC =  0x1E,
    channel_FVR =  0x1F
} adc_channel_t;
//
#define ACQ_US_DELAY 5


/**
  Section: ADC Module APIs
*/
// *****************************************************************************
//
// *****************************************************************************
 void ADC_Init_(void){
    // set the ADC to the options selected in the User Interface

    // GO_nDONE stop; ADON enabled; CHS AN5;
    ADCON0 = 0b00010101;

    // ADFM left; ADNREF VSS; ADPREF VDD; ADCS FOSC/4;    fosc/4: 442 Ksps
    ADCON1 = 0b01000000;       // fosc/4
    // ADCON1 = 0b00100000;   // fosc/32
   //  ADCON1 = 0b00000000;   // fosc/2 NON FUNZIONA!!!
    // ADRESL 0;
    ADRESL = 0x00;

    // ADRESH 0;
    ADRESH = 0x00;

 }
// *****************************************************************************
//
// *****************************************************************************
 char ADC_GetConversion(){
    // Start the conversion
    GO_bit = 1;
    // Wait for the conversion to finish
    while (GO_bit) {
    }
    // Conversion finished, return the result
    return ADRESL;
 }
// *****************************************************************************
//
// *****************************************************************************
unsigned int ADC_GetConversion_(adc_channel_t channel){
//
    if (channel == 0) CHS0_bit = 0;
     else if (channel == 1) CHS0_bit = 1;
//
    ADCON0.ADON = 1;
    Delay_us(ACQ_US_DELAY);
    GO_bit = 1;
    while (GO_bit){}
//
    return ((adc_result_t)((ADRESH << 8) + ADRESL));
}
// *****************************************************************************
//
// *****************************************************************************
 char Delay_Sample_Temp_(){
//

     del_1 = Delay_Sample_1;
      del_2 = Delay_Sample_2;
       while (del_1 || del_2) {
         del_1 --;
          if (del_1 == 0) del_2 --;
      
       }

 }
// *****************************************************************************
//  Campionamenti temporizzati
// fosc/32 = 70 Ksps
// fosc/16 = 115 Ksps
// fosc/8 = 177 Ksps
// fosc/4 = 240 Ksps
// *****************************************************************************
 void Sample_temp(){
  char i;
//
    // ADCON1 = 0b01010000;   // fosc/16
    ADCON1 = 0b00010000;   // fosc/8
//
    for (i=0; i< 80; i++) {
     if (Value_Div_Tempo > 3)Delay_Sample_Temp_();
      GO_bit = 1;
       while (GO_bit);
        sample_v1[i] = ADRESH;
    }
 }
// *****************************************************************************
// Senza temporizzatori:
// ADCCON1 >> fosc/64: 43 Ksps   23,25us
// ADCCON1 >> fosc/32: 81 Ksps
// ADCCON1 >> fosc/16: 150 Ksps
// ADCCON1 >> fosc/8:  248 Ksps  4,025us
// ADCCON1 >> fosc/4:  396 Ksps
// *****************************************************************************
 void Sample_temp_rap(){
//
           i=i;
          // ADCON1 = 0b01100000;      // fosc/64
         //  ADCON1 = 0b00100000;      // fosc/32
        //   ADCON1 = 0b01010000;      //  Fosc/16
           ADCON1 = 0b00010000;      // fosc/8
         //  ADCON1 = 0b01000000;      // fosc/4
          asm {                       //
            movlw 0xA0
            movwf FSR0L

            clrf FSR0H
             movlw 0x50             //  0x50 (80 camp.)
             movwf _i
_main_loop_ADC_sample:
             bsf ADCON0,GO        //
//
_ADC_Acq_misura:
             btfsc ADCON0,GO       //
             bra _ADC_Acq_misura
             movf ADRESH,w
           //  movwf INDF0        // Soluzione 1
           //  incf FSR0L,1
             movwi FSR0++         // Soluzione 2: pi veloce
//
             decfsz _i,f
             bra _main_loop_ADC_sample
          }
//
 }
// *****************************************************************************
// Con temporizzatori:
// *****************************************************************************
 void Sample_temp_2(){
//
           i=i;
           del_1 = Delay_Sample_1;
           del_2 = Delay_Sample_2;                 Dec_BCD_Short (del_1, 5, 60, 0);
         //  ii=1;iii=1;
           ADCON1 = 0b00100000;      // fosc/32
          asm {                       //
            movlw 0xA0
            movwf FSR0L

            clrf FSR0H
             movlw 0x50             //  0x50 (80 camp.)
             movwf _i
_main_loop_ADC_sample_2:
             bsf ADCON0,GO        //
             //
             movf _del_1,w
             movwf _ii
             movf _del_2,w
             movwf _iii
_loop_delay:                    // Ritardo

             decfsz _ii,f
             goto _loop_delay
             decfsz _iii,f
             goto _loop_delay
//
_ADC_Acq_misura_2:
             btfsc ADCON0,GO       //
             bra _ADC_Acq_misura_2
             movf ADRESH,w
           //  movwf INDF0        // Soluzione 1
           //  incf FSR0L,1
             movwi FSR0++         // Soluzione 2: pi veloce
//
             decfsz _i,f
             bra _main_loop_ADC_sample_2
          }

//
 }
// *****************************************************************************
// Con 6 "nop" otteniamo 615 Ksps e la schermata decente.
// Con 8 "nop" otteniamo 530 Ksps e la schermata reale.
// *****************************************************************************
 void Delay_sample() org 0x0800{
    asm nop;asm nop; asm nop;asm nop;asm nop;asm nop;asm nop;asm nop  // 8 nop
 }
// *****************************************************************************
//// --- 0x0A0: stesso BANK di ADCON0  e ADRESH (80 Byte)
// 5 + 10 (dalay_sample) = 15 CLK >> 1,875ms
// 1/0,000001875 = 533.333 Sample/sec
// ATTENZIONE: se non usa "org" diventano 7 + 10 = 17 clock (2,125 us) perche
//             Sample_Fast() e Delay_sample() possono essere divisi in due pagine 
//             SRAM diverse.
// *****************************************************************************
 void Sample_Fast() org 0x080A{
       ADCON1 = 0b01000000;       // fosc/4
        GO_bit = 1; Delay_sample();    // 5 + 10 (dalay_sample) = 15 CLK >> 1,875us
         v1 = ADRESH;          // 1
        GO_bit = 1; Delay_sample();
         v2 = ADRESH;
       GO_bit = 1; Delay_sample();
         v3 = ADRESH;
        GO_bit = 1; Delay_sample();
         v4 = ADRESH;
        GO_bit = 1; Delay_sample();
         v5 = ADRESH;
        GO_bit = 1; Delay_sample();
         v6 = ADRESH;
        GO_bit = 1; Delay_sample();
         v7 = ADRESH;
        GO_bit = 1; Delay_sample();
         v8 = ADRESH;
        GO_bit = 1; Delay_sample();
         v9 = ADRESH;
        GO_bit = 1; Delay_sample();
         v10 = ADRESH;
        GO_bit = 1; Delay_sample();
         v11 = ADRESH;         // 11
        GO_bit = 1; Delay_sample();
         v12 = ADRESH;
        GO_bit = 1; Delay_sample();
         v13 = ADRESH;
        GO_bit = 1; Delay_sample();
         v14 = ADRESH;
        GO_bit = 1; Delay_sample();
         v15 = ADRESH;
        GO_bit = 1; Delay_sample();
         v16 = ADRESH;
        GO_bit = 1; Delay_sample();
         v17 = ADRESH;
        GO_bit = 1; Delay_sample();
         v18 = ADRESH;
        GO_bit = 1; Delay_sample();
         v19 = ADRESH;
        GO_bit = 1; Delay_sample();
         v20 = ADRESH;
        GO_bit = 1; Delay_sample();
         v21 = ADRESH;       // 21
        GO_bit = 1; Delay_sample();
         v22 = ADRESH;
        GO_bit = 1; Delay_sample();
         v23 = ADRESH;
        GO_bit = 1; Delay_sample();
         v24 = ADRESH;
        GO_bit = 1; Delay_sample();
         v25 = ADRESH;
        GO_bit = 1; Delay_sample();
         v26 = ADRESH;
        GO_bit = 1; Delay_sample();
         v27 = ADRESH;
        GO_bit = 1; Delay_sample();
         v28 = ADRESH;
        GO_bit = 1; Delay_sample();
         v29 = ADRESH;
        GO_bit = 1; Delay_sample();
         v30 = ADRESH;         // 30
        GO_bit = 1; Delay_sample();
         v31 = ADRESH;
        GO_bit = 1; Delay_sample();
         v32 = ADRESH;
        GO_bit = 1; Delay_sample();
         v33 = ADRESH;
        GO_bit = 1; Delay_sample();
         v34 = ADRESH;
        GO_bit = 1; Delay_sample();
         v35 = ADRESH;
        GO_bit = 1; Delay_sample();
         v36 = ADRESH;
        GO_bit = 1; Delay_sample();
         v37 = ADRESH;
        GO_bit = 1; Delay_sample();
         v38 = ADRESH;
        GO_bit = 1; Delay_sample();
         v39 = ADRESH;
        GO_bit = 1; Delay_sample();
         v40 = ADRESH;        // 40
        GO_bit = 1; Delay_sample();
         v41 = ADRESH;
        GO_bit = 1; Delay_sample();
         v42 = ADRESH;
        GO_bit = 1; Delay_sample();
         v43 = ADRESH;
        GO_bit = 1; Delay_sample();
         v44 = ADRESH;
        GO_bit = 1; Delay_sample();
         v45 = ADRESH;
        GO_bit = 1; Delay_sample();
         v46 = ADRESH;
        GO_bit = 1; Delay_sample();
         v47 = ADRESH;
        GO_bit = 1; Delay_sample();
         v48 = ADRESH;
        GO_bit = 1; Delay_sample();
         v49 = ADRESH;
        GO_bit = 1; Delay_sample();
         v50 = ADRESH;        // 50
        GO_bit = 1; Delay_sample();
         v51 = ADRESH;
        GO_bit = 1; Delay_sample();
         v52 = ADRESH;
        GO_bit = 1; Delay_sample();
         v53 = ADRESH;
        GO_bit = 1; Delay_sample();
         v54 = ADRESH;
        GO_bit = 1; Delay_sample();
         v55 = ADRESH;
        GO_bit = 1; Delay_sample();
         v56 = ADRESH;
        GO_bit = 1; Delay_sample();
         v57 = ADRESH;
        GO_bit = 1; Delay_sample();
         v58 = ADRESH;
        GO_bit = 1; Delay_sample();
         v59 = ADRESH;
        GO_bit = 1; Delay_sample();
         v60 = ADRESH;         // 60
        GO_bit = 1; Delay_sample();
         v61 = ADRESH;
        GO_bit = 1; Delay_sample();
         v62 = ADRESH;
        GO_bit = 1; Delay_sample();
         v63 = ADRESH;
        GO_bit = 1; Delay_sample();
         v64 = ADRESH;
        GO_bit = 1; Delay_sample();
         v65 = ADRESH;
        GO_bit = 1; Delay_sample();
         v66 = ADRESH;
        GO_bit = 1; Delay_sample();
         v67 = ADRESH;
        GO_bit = 1; Delay_sample();
         v68 = ADRESH;
        GO_bit = 1; Delay_sample();
         v69 = ADRESH;
        GO_bit = 1; Delay_sample();
         v70 = ADRESH;        // 70
        GO_bit = 1; Delay_sample();
         v71 = ADRESH;
        GO_bit = 1; Delay_sample();
         v72 = ADRESH;
        GO_bit = 1; Delay_sample();
         v73 = ADRESH;
        GO_bit = 1; Delay_sample();
         v74 = ADRESH;
        GO_bit = 1; Delay_sample();
         v75 = ADRESH;
        GO_bit = 1; Delay_sample();
         v76 = ADRESH;
        GO_bit = 1; Delay_sample();
         v77 = ADRESH;
        GO_bit = 1; Delay_sample();
         v78 = ADRESH;
        GO_bit = 1; Delay_sample();
         v79 = ADRESH;
        GO_bit = 1; Delay_sample();
         v80 = ADRESH;         // 80
 }
/*

 
 



 
 
 
 
 
 
 
 
 
 
 
 
 
*/