/*


                   ROUTINE VARIE GESTIONE OSCILLOSCOPIO

                              V2

*/
 extern char sample_v1[80];
// ---------------------------------------------------------------------- ADC
// Riferimento interno (GND, Vcc)
//
//
 void ADC_Sample () {        // Min. 10
//
     ADCON0.GO = 1;
      while (ADCON0.GO != 0) { }
 }
// ---------------------------------------------------------------------- SALVATAGGIO VALORI IN EEPROM
 void Save_EEprom_page_1 () {
  unsigned short i;
//
      for (i= 0; i <=7; i++) {
        Eeprom_Write(0x10 + i, par_page_1 [i]);      //  PAGE 1
      }
 }
// ---------------------------------------------------------------------- LETTURA DATI DA EEPROM
 void Leggi_EEprom_page_1 () {
 unsigned short i;
//
      for (i= 0; i <=7; i++) {
        par_page_1 [i] = Eeprom_Read(0x10 + i);        //  PAGE 1
      }
 }
// ***************************************************************************** CALCOLO VALORE TRA MARKER VERTICALI
//                 CALCOLO VALORE TRA MARKER VERTICALI
//
// Tempi    Valore              Moltip.  Campo
// 1- 30 us:   tra 3 e 180 us      3        XXXu
// 2- 100 us:  tra 10 e 600 us     10       XXXu
// 3- 500 us:  tra 50 e 3.000 us   50       X,XXm  (/10)
// 4- 1 ms:    tra 0,1 e 6 ms      100      X,XXm  (/10)
// 5- 5 ms:    tra 0,5 e 30 ms     50       XX,Xm  (/10)
// 6- 10 ms:   tra 1 e 60 ms       1        XXXm
// 7- 50 ms:   tra 5 e 300 ms      5        XXXm
// 8- 100 ms:  tra 10 e 600 ms     10       XXXm
// 9- 500 ms:  tra 0,050 e 3 s     50       XX,Xs  (/10)
// 10- 1 s:    tra 0,1 e 6 s       100      X,XXs  (/10)
// 11- 10 s:   tra 1 e 60 s        1        XXXs
//
// *****************************************************************************
 void Calc_Delta_M_Vert () {
  unsigned short temp, temp_1;
//
     if (Mark_Vert_Sx >= Mark_Vert_Dx) {                  // Valore assoluto!
       temp = Mark_Vert_Sx ;
        temp_1 = Mark_Vert_Dx;
     }
        else {
          temp_1 = Mark_Vert_Sx ;
           temp = Mark_Vert_Dx;
        }
         Mark_Vert_delta = temp - temp_1;    // CONTIENE IL NUMERO DI PIXEL TRA I DUE MARKER VERTICALI
          Value_Mark_Vert = Mark_Vert_delta;
          Value_Mark_Vert = Mark_Vert_delta * Mark_Vert_Moltiplier;
           if ((Value_Div_Tempo >= 2 && Value_Div_Tempo <= 6) ||
                Value_Div_Tempo == 9 || Value_Div_Tempo == 10) Value_Mark_Vert /= 10;

 }
// ---------------------------------------------------------------------- DISEGNA MARKER VERTICALE SUL GRAFICO
 void Draw_Mark_Vert () {
  unsigned short page_temp = 0, Data_temp_Sx, Data_temp_Dx, temp, temp_1, _Data;
  unsigned int temp_16;
//
     if (Select_Mark_Vert == 2) return;
//
     if (Select_Mark_Vert == 0) {         // Sx
       Data_temp_Sx = 0x77;
        Data_temp_Dx = 0x99;
     }
       else if (Select_Mark_Vert == 1){   // Dx
         Data_temp_Sx = 0x99;
          Data_temp_Dx = 0x77;
       }
         do {
           Set_Colonna_x(Mark_Vert_Sx) ;         // Indirizzo        // ----- VISUALIZZA MARKER Sx
            Set_Page_y(page_temp);                    // pagina
             writedata(Data_temp_Sx);
         } while (++page_temp <= 5);
//
          page_temp = 0;
           do {
             Set_Colonna_x(Mark_Vert_Dx) ;         // Indirizzo        // ----- VISUALIZZA MARKER Dx
              Set_Page_y(page_temp);             // pagina
              writedata(Data_temp_Dx);
           } while (++page_temp <= 5);
//
    // Calc_Delta_M_Vert ();
//
 }
// ---------------------------------------------------------------------- DISEGNA MARKER ORIZZONTALE ON
 void Draw_Mark_Hor_ON (unsigned short posizione) {
     // Draw_line_oriz_KS0713(5, 7, posizione);
       Draw_line_oriz_3310(5, 15, posizione);
        Draw_line_oriz_3310(25, 35, posizione);
         Draw_line_oriz_3310(45, 55, posizione);

 }
// ---------------------------------------------------------------------- DISEGNA MARKER ORIZZONTALE OFF
 void Draw_Mark_Hor_OFF (unsigned short posizione) {
//
       Draw_line_oriz_3310(5, 10, posizione);
        Draw_line_oriz_3310(20, 25, posizione);
         Draw_line_oriz_3310(35, 40, posizione);
          Draw_line_oriz_3310(50, 55, posizione);

 }
// ***************************************************************************** CALCOLO VALORE TRA MARKER ORIZZONTALE
//                 CALCOLO VALORE TRA MARKER ORIZZONTALI
//
// Volt        Valore              Moltip.  Campo
// 1- 90 mV:   tra 9 e 432 mV      9        XXXm            0x00
// 2- 125 mV:  tra 18 e 864 mV     18       XXXm
// 3- 300 mV:  tra 0,029 e 1,39 V  29       X,XXV  (/10)    0x20
// 4- 360 mV:  tra 0,036 e 1,72 V  36       X,XXV  (/10)
// 5- 500 mV:  tra 0,058 e 3,48 V  58       X,XXV  (/10)
// 6- 700 mV:  tra 0,072 e 3,45 V  72       X,XXV  (/10)
// 7- 1,5 V:   tra 0,15 e 7,2 V    15       X,XXV
// 8- 3 V:     tra 0,29 e 13,9 V   29       XX,XV  (/10)    0x40
//
// *****************************************************************************
 void Calc_Delta_M_Hor () {
  unsigned short temp, temp_1;
//
     if (Mark_Hor_Up >= Mark_Hor_Down) {                  // Valore assoluto!
       temp = Mark_Hor_Up ;
        temp_1 = Mark_Hor_Down;
     }
        else {
          temp_1 = Mark_Hor_Up ;
           temp = Mark_Hor_Down;
        }
         Mark_Hor_delta = temp - temp_1;    // CONTIENE IL NUMERO DI PIXEL TRA I DUE MARKER ORIZZONTALI
          Value_Mark_Hor = Mark_Hor_delta;
           Value_Mark_Hor = Mark_Hor_delta * Mark_Hor_Moltiplier;
            if ((Value_Div_Volt >= 1 && Value_Div_Volt <= 8) || Value_Div_Volt == 10) Value_Mark_Hor /= 10;
// --- Calc position marker hor. for draw with grafical
      temp = Mark_Hor_Up - ((Mark_Hor_Up / 8) * 8);
       offset_M_H_sup = (0x01 << temp);
        page_M_H_sup = Mark_Hor_Up / 8;
      temp = Mark_Hor_Down - ((Mark_Hor_Down / 8) * 8);
       offset_M_H_inf = (0x01 << temp);
        page_M_H_inf = Mark_Hor_Down / 8;
//
 }
// ---------------------------------------------------------------------- DISEGNA MARKER ORIZZONTALE SUL GRAFICO
 void Draw_Mark_Hor () {
//  unsigned short page_temp = 0, Data_temp_Up, Data_temp_Down, temp, temp_1;
//  unsigned int temp_16;
//
    if (Select_Mark_Hor == 2) return;
//
     if (Select_Mark_Hor == 0) {
       Draw_Mark_Hor_ON (Mark_Hor_Up);
        Draw_Mark_Hor_OFF (Mark_Hor_Down);
     }
//
      else if (Select_Mark_Hor == 1) {
        Draw_Mark_Hor_ON (Mark_Hor_Down);
         Draw_Mark_Hor_OFF (Mark_Hor_Up);
      }
//
    // Calc_Delta_M_Hor ();
//
 }
// ---------------------------------------------------------------------- Livello Trigger
 void Level_Trigger () {
//
      if (P_UP == 0) {             // Pulsante UP
    //    CCPR1L ++ ;
    //     if (CCPR1L >= 153) CCPR1L = 153;
        DACCON1 ++;
         if (DACCON1 >= 31) DACCON1 = 31;
      }
//
      if (P_DOWN == 0) {          // Pulsante DOWN
      //  CCPR1L -- ;
      //   if (CCPR1L <= 105) CCPR1L = 105;
        DACCON1 --;
         if (DACCON1 <= 1) DACCON1 = 1;
         
      }
//

      
 }
// ---------------------------------------------------------------------- Adegua Trigger
 void Adeg_Trigger () {
//
    switch (Value_Trigger_Mode) {
       case 0: Trigger_Mode[0]='R';Trigger_Mode[1]='U';Trigger_Mode[2]='N'; break;  // RUN
       case 1: Trigger_Mode[0]='T';Trigger_Mode[1]='R';Trigger_Mode[2]='I'; break;  // TRIGGER (solo se il segnale incontra il trigger)
       case 2: Trigger_Mode[0]='O';Trigger_Mode[1]='N';Trigger_Mode[2]='C'; break; // ONCE (una volta)     1 V

    }
 }
// ***************************************************************************** Adegua valore ampiezz
// Mark_Hor_Moltiplier:
// Virg_Mark_Vert (POSIZIONE VIRGOLA) = 0x00: XXX
//                                    = 0x20: X,XX
//                                    = 0x40: XX,X
// *****************************************************************************
 void Adeg_Volt () {
//
    switch (Value_Div_Volt) {               // ! = m
       case 1: Div_Volt[0]='2';Div_Volt[1]='4';Div_Volt[2]='0';Div_Volt[3]='m'; guadagno_PGA = 7;   // 240 mV (x32)
               Mark_Hor_Moltiplier = 24; Virg_Mark_Hor = 0x20;  // ,XXX V                           // 240mV
               simbolo_H = 'm';
               break;
       case 2: Div_Volt[0]='4';Div_Volt[1]='6';Div_Volt[2]='0';Div_Volt[3]='m'; guadagno_PGA = 6;  // 460 mV (x16)
               Mark_Hor_Moltiplier = 46; Virg_Mark_Hor = 0x20;  // ,XXX V                          // 460mV
               simbolo_H = 'm';
               break;
       case 3: Div_Volt[0]='7';Div_Volt[1]='5';Div_Volt[2]='0';Div_Volt[3]='m'; guadagno_PGA = 5;  // 750 mV (x10)
               Mark_Hor_Moltiplier = 75; Virg_Mark_Hor = 0x20;  // X,XX V                          // 750mV
               simbolo_H = 'V';
               break;
       case 4: Div_Volt[0]='1';Div_Volt[1]=',';Div_Volt[2]='0';Div_Volt[3]='V'; guadagno_PGA = 4;  // 1,0 V (x8)
               Mark_Hor_Moltiplier = 10; Virg_Mark_Hor = 0x40;  // X,XX V                          // 1,0
               simbolo_H = 'V';
               break;
       case 5: Div_Volt[0]='1';Div_Volt[1]=',';Div_Volt[2]='5';Div_Volt[3]='V'; guadagno_PGA = 3;  // 1,5 V (x5)
               Mark_Hor_Moltiplier = 15; Virg_Mark_Hor = 0x40;  // X,XX V                          // 1,5
               simbolo_H = 'V';
               break;
       case 6: Div_Volt[0]='1';Div_Volt[1]=',';Div_Volt[2]='8';Div_Volt[3]='V'; guadagno_PGA = 2;  // 1,8 V (x4)
               Mark_Hor_Moltiplier = 18; Virg_Mark_Hor = 0x40;  // X,XX V                          // 1,8V
               simbolo_H = 'V';
               break;
       case 7: Div_Volt[0]='3';Div_Volt[1]=',';Div_Volt[2]='7';Div_Volt[3]='V'; guadagno_PGA = 1;  // 3,7 V (x2)
               Mark_Hor_Moltiplier = 37; Virg_Mark_Hor = 0x40;  // X,XX V                          // 3,7
               simbolo_H = 'V';
               break;
       case 8: Div_Volt[0]='6';Div_Volt[1]=',';Div_Volt[2]='9';Div_Volt[3]='V'; guadagno_PGA = 0;  // 6,9 V (x1)
               Mark_Hor_Moltiplier = 69; Virg_Mark_Hor = 0x40;  // XX,X V                          // 6,9
               simbolo_H = 'V';
               break;
       default:Div_Volt[0]='-';Div_Volt[1]='-';Div_Volt[2]='-';Div_Volt[3]='-';
     }
 }
// ***************************************************************************** Adegua valore tempi
//
// Virg_Mark_Vert (POSIZIONE VIRGOLA) = 0x00: XXX
//                                    = 0x20: X,XX
//                                    = 0x40: XX,X
//
// *****************************************************************************
//
 void Adeg_Tempi () {
//
    switch (Value_Div_Tempo) {              // ! = m, $ = s, # = u
       case 1: Div_Tempo[0]='2';Div_Tempo[1]='0';Div_Tempo[2]='u';Div_Tempo[3]='s';    // 20(78) us  ok       20us
               Mark_Vert_Moltiplier = 2; Virg_Mark_Vert = 0x00; simbolo_V = 'u';
               INTCON = 0; M_camp_lungo_loop = 0; M_camp_lungo_ON = 0;                 // Disable interrupt
               return;
       case 2: Div_Tempo[0]='4';Div_Tempo[1]='0';Div_Tempo[2]='u';Div_Tempo[3]='s';    // 40 us     ok         41us
               Mark_Vert_Moltiplier = 41; Virg_Mark_Vert = 0x00; simbolo_V = 'u';
               INTCON = 0; M_camp_lungo_loop = 0; M_camp_lungo_ON = 0;
               return;
       case 3: Div_Tempo[0]='7';Div_Tempo[1]='0';Div_Tempo[2]='u';Div_Tempo[3]='s';    // 70 us     ok          69us
               Delay_Sample_1 = 1; Delay_Sample_2 = 1;                                 // 10 us Real: 9,8us
               Mark_Vert_Moltiplier = 69; Virg_Mark_Vert = 0x00; simbolo_V = 'u';
               INTCON = 0; M_camp_lungo_loop = 0; M_camp_lungo_ON = 0;
               return;
       case 4: Div_Tempo[0]='5';Div_Tempo[1]='0';Div_Tempo[2]='0';Div_Tempo[3]='u';   // 500 us  ok
               Delay_Sample_1 = 25; Delay_Sample_2 = 1;                              // 50us
               Mark_Vert_Moltiplier = 50; Virg_Mark_Vert = 0x20; simbolo_V = 'm';
               INTCON = 0; M_camp_lungo_loop = 0; M_camp_lungo_ON = 0;
               return;
       case 5: Div_Tempo[0]='1';Div_Tempo[1]=' ';Div_Tempo[2]='m';Div_Tempo[3]='s';   // 1 ms   ok
               Delay_Sample_1= 59; Delay_Sample_2 = 1;                               // 100us
               Mark_Vert_Moltiplier = 100; Virg_Mark_Vert = 0x20; simbolo_V = 'm';
               INTCON = 0; M_camp_lungo_loop = 0; M_camp_lungo_ON = 0;
               return;
       case 6: Div_Tempo[0]='5';Div_Tempo[1]=' ';Div_Tempo[2]='m';Div_Tempo[3]='s';   // 5 ms   ok
               Delay_Sample_1= 69; Delay_Sample_2 = 2;                               // 500us
               Mark_Vert_Moltiplier = 5; Virg_Mark_Vert = 0x00; simbolo_V = 'm';
               INTCON = 0; M_camp_lungo_loop = 0; M_camp_lungo_ON = 0;
               return;
       case 7: Div_Tempo[0]='1';Div_Tempo[1]='0';Div_Tempo[2]='m';Div_Tempo[3]='s';  // 10 ms   ok
               Delay_Sample_1= 146; Delay_Sample_2 = 3;                              // 1ms
               Mark_Vert_Moltiplier = 1; Virg_Mark_Vert = 0x00; simbolo_V = 'm';
               INTCON = 0; M_camp_lungo_loop = 0; M_camp_lungo_ON = 0;
               return;
       case 8: Div_Tempo[0]='5';Div_Tempo[1]='0';Div_Tempo[2]='m';Div_Tempo[3]='s';  // 50 ms   *REAL TIME*   ok
               Mark_Vert_Moltiplier = 5; Virg_Mark_Vert = 0x00; simbolo_V = 'm';
               INTCON = 0b11000000; PIR3.TMR6IF = 0;                                // ABILITA INTERRUPT
               camp_lung_ms = 5; camp_lung_100ms = 0;                                // 5ms
               M_camp_lungo_loop = 0; M_trigger = 0; M_camp_lungo_ON = 1;
               i = 0; M_t6 = 1;
               return;
       case 9: Div_Tempo[0]='1';Div_Tempo[1]='0';Div_Tempo[2]='0';Div_Tempo[3]='m';  // 100 ms   *REAL TIME*    ok
               Mark_Vert_Moltiplier = 100; Virg_Mark_Vert = 0x00; simbolo_V = 'm';
               INTCON = 0b11000000; PIR3.TMR6IF = 0;                                // ABILITA INTERRUPT
               camp_lung_ms = 10; camp_lung_100ms = 0;                              // 10ms
               M_camp_lungo_loop = 0; M_trigger = 0; M_camp_lungo_ON = 1;
               i = 0; M_t6 = 1;
               return;
       case 10: Div_Tempo[0]='5';Div_Tempo[1]='0';Div_Tempo[2]='0';Div_Tempo[3]='m';  // 500 ms   *REAL TIME*   ok
               Mark_Vert_Moltiplier = 50; Virg_Mark_Vert = 0x20; simbolo_V = 's';
               INTCON = 0b11000000; PIR3.TMR6IF = 0;                                 // ABILITA INTERRUPT
               camp_lung_ms = 50; camp_lung_100ms = 0;                               // 50ms
               M_camp_lungo_loop = 0; M_trigger = 0; M_camp_lungo_ON = 1;
               i = 0; M_t6 = 1;
               return;
       case 11: Div_Tempo[0]=' ';Div_Tempo[1]='1';Div_Tempo[2]=' ';Div_Tempo[3]='s';  // 1 s    *REAL TIME*  ok
                Mark_Vert_Moltiplier = 10; Virg_Mark_Vert = 0x20; simbolo_V = 's';
                INTCON = 0b11000000; PIR3.TMR6IF = 0;                                 // ABILITA INTERRUPT
                camp_lung_ms = 100; camp_lung_100ms = 0;                              // 100ms
                M_camp_lungo_loop = 0; M_trigger = 0; M_camp_lungo_ON = 1;
                i = 0; M_t6 = 1; t6_100ms = 0;
                return;
       case 12: Div_Tempo[0]='1';Div_Tempo[1]='0';Div_Tempo[2]=' ';Div_Tempo[3]='s';  // 10 s   *REAL TIME*
                Mark_Vert_Moltiplier = 1; Virg_Mark_Vert = 0x00; simbolo_V = 's';
                INTCON = 0b11000000; PIR3.TMR6IF = 0;                                 // ABILITA INTERRUPT
                camp_lung_ms = 0; camp_lung_100ms = 10;                               // 1s
                M_camp_lungo_loop = 0; M_trigger = 0; M_camp_lungo_ON = 1;
                i = 0; M_t6 = 1;
                return;
       default: Div_Tempo[0]='-';Div_Tempo[1]='-';Div_Tempo[2]='-';Div_Tempo[3]='-';
    }
 }
// ---------------------------------------------------------------------- Incrementa valore
 unsigned short Incr_valore (unsigned short value, unsigned short max_value) {
//
     value ++;
      if (value >= max_value) value = max_value;
       return value;
 }
// ---------------------------------------------------------------------- Decrementa valore
 unsigned short Decr_valore (unsigned short value, unsigned short min_value) {
//
     if (value <= min_value)  value = min_value;
       else value --;
        return value;
 }
// ---------------------------------------------------------------------- INFO PROG. PAG. 1
 void Info_page_1 (unsigned short count_info) {
  unsigned short temp, temp_1;
// --- 0
       temp = 0x00;
        if (count_info == 0) temp = 0x80;       // 0x0X = normale, 0x8X = reverse
         Write_String(Div_Tempo, temp, 60);
// --- 1
         temp = 0x01;
          if (count_info == 1) temp = 0x81;
           Write_String(Div_Volt, temp, 60);
// --- 2
           temp = 0x02;
            if (count_info == 2) temp = 0x82;     // Trigger_Mode
             Write_String(Trigger_Mode, temp, 60);
              cursorxy(78, 2);
               if (FRONTE)  putchar('&', 0);    // Simbolo TRIGGER: FRONTE IN SALITA
                else  putchar(0x27, 0);            // Simbolo TRIGGER: FRONTE IN DISCESA
// --- 3
           if (count_info == 3) temp = 0x80;
            else temp = 0x00;
          //   Calc_Delta_M_Vert ();
              Dec_BCD_Short (Value_Mark_Vert, 3, 60, (temp | Virg_Mark_Vert)); // MARKER VERTICALE
               cursorxy(78, 3);
                putchar(simbolo_V, temp);
         //     if (Select_Mark_Vert == 0) putchar(0x7F, 0);       // Freccia Sx
          //     else if (Select_Mark_Vert == 1) putchar(0x7E, 0); // Freccia Dx
          //      else putchar(' ', 0);
// --- 4
           if (count_info == 4) temp = 0x80;
            else temp = 0x00;
           //  Calc_Delta_M_Hor ();
              Dec_BCD_Short (Value_Mark_Hor, 4, 60, (temp | Virg_Mark_Hor)); // MARKER VERTICALE
               cursorxy(78, 4);
              // putchar(simbolo_H, temp);
         //      if (Select_Mark_Hor == 0) putchar(0x80, 0);      // Freccia UP (0x80)
         //       else if (Select_Mark_Hor == 1) putchar(0x81, 0); // Freccia DW (0x81)
         //        else putchar(' ', 0);
// --- 5
          if (count_info == 5) temp = 0x80;
           else temp = 0x00;
            // Dec_BCD_Short (Trigger_Level - 104, 5, 60, temp);  // Visualizza trigger
            Dec_BCD_Short (Trigger_Level, 5, 60, temp);  // Visualizza trigger
// ---------------------------------------------------------- Livello trigger
// --- Visualizza graficamente il livello del trigger (solo quando cambia il valore)
         if (old_level != Trigger_Level) {
          buf_16 = Trigger_Level;
           if (buf_16 >= 28) buf_16 = 28;
            buf_16 = (buf_16 * 17) / 10;
             buf_16 = 49 - buf_16;
//
           Draw_line_vert_3310(0, 48, 0, 0); // Cancella colonna 0
            Draw_line_vert_3310(0, 48, 1, 0); // Cancella colonna 1
             Draw_line_vert_3310(buf_16-2, buf_16+2, 0, 0x81); // Y1, Y2, colonna 0, 129
              Draw_line_vert_3310(buf_16-1, buf_16+1, 1, 0x81); // Y1, Y2, colonna 1, 129
               old_level = Trigger_Level;
         }
//
 }
// ***************************************************************************** PARAMETRI PAGINA 1
// count_info = 0: base dei tempi (orizzontale)
// count_info = 1: Cambio ampiezza (verticale) + cambio fronte (puls_4 > END)
// count_info = 2: trigger level + tipo visualizzazione (RUN, TRIGGER, ONCE: pul_4 > END)
// count_info = 3: marker orizzontale
// count_info = 4: marker verticale
// count_info = 5:
// *****************************************************************************
 void Page_1_info () {
  unsigned short Mark;
//
     //  Pulsanti ();
// --- 5 + Puls 4: Selezione grafico intero (M_info_on_off = 1) o con info (M_info_on_off = 0)
         if (buffer_puls == 4 && count_info == 5) {     // -- PULS 4 > grafico intero o info
           if (info_on_off == 58) info_on_off = 80;
            else info_on_off = 58;
         }
// --- Cambia lunghezza visualizzazione campionamenti.
       if (info_on_off == 80) return;
//     sampling_length = 0: visualizza 60 campionamenti e a Dx compaiono le info.
//     sampling_length = 1: visualizza 80 camionamenti senza info.
       //  if (buffer_puls == 4) sampling_length ^= 1; // Cambia lunghezza visualizzazione campionamenti
//
//
        if (buffer_puls == 3) {       // ------------------------ SET
          count_info ++;
           if (count_info >= 6) count_info = 0;
            Calc_Delta_M_Vert ();
             Calc_Delta_M_Hor ();
        }
// --- 1 + Puls 4  !!! E' possibile usare un puls Up o Dw per cambiare fronte nel prossimo campo se si usa l'encoder
        if (buffer_puls == 4 && count_info == 1) {     // -- PULS 4 > TRIGGER FRONTE
          FRONTE = ~FRONTE;
        }
// --- 2 + Puls 4  !!! E' possibile inc/dec trigger con puls Up e Dw se non si usa l'encoder
       if (buffer_puls == 4 && count_info == 2) {      // -- PULS 4 > TRIGGER MODE
         Value_Trigger_Mode ++;
          if (Value_Trigger_Mode >= 3) Value_Trigger_Mode = 0;
           Adeg_Trigger ();
       }
// --- 3 + Puls 4 (Marker Verticale)
         if (buffer_puls == 4 && count_info == 3) {     // -- PULS 4 > SELECT MARKER VERTICALE
           Select_Mark_Vert ++;
            if (Select_Mark_Vert >= 3) Select_Mark_Vert = 0;
         }
// --- 4 + Puls 4 (Marker Orizzontale)
         if (buffer_puls == 4 && count_info == 4) {     // -- PULS 4 > SELECT MARKER Orizzontale
           Select_Mark_Hor ++;
            if (Select_Mark_Hor >= 3) Select_Mark_Hor = 0;
         }

//
       if (buffer_puls == 1) {       // ------------------------ UP
        Calc_Delta_M_Vert ();
         Calc_Delta_M_Hor ();
// --- 0 (Tempi)
         if (count_info == 0) {
           Value_Div_Tempo = Incr_valore (Value_Div_Tempo, 12);     // Base dei tempi
            Adeg_Tempi ();
         }
// --- 1 (Ampiezza)
          if (count_info == 1) {
            Value_Div_Volt = Incr_valore (Value_Div_Volt, 8);        // Scala ampiezza
             Adeg_Volt ();
              PGA_Guadagno (guadagno_PGA);
          }
// --- 2 (Trigger Level)
           if (count_info == 2) {
             Trigger_Level = Incr_valore (Trigger_Level, 31); // 150      // Trigger level
            //Trigger_Level = Decr_valore (Trigger_Level, 1);
            //  CCPR1L = Trigger_Level;
              DACCON1 = Trigger_Level;
           }

// --- 3 (Marker verticale) 0= M Sx, 1= M Dx
           if (count_info == 3) {  // "VERT"                                              // Marker verticali
            if (Select_Mark_Vert == 0)  Mark_Vert_Sx = Decr_valore (Mark_Vert_Sx, 2);
              else if (Select_Mark_Vert == 1) Mark_Vert_Dx = Decr_valore (Mark_Vert_Dx, 2);
               Calc_Delta_M_Vert ();
           }
// --- 4 (Marker Orizzontale) 0= M sup, 1= M inf
            if (count_info == 4) {  // "ORIZ"                                              // Marker orizzontali
             if (Select_Mark_Hor == 0) Mark_Hor_Up = Decr_valore (Mark_Hor_Up, 0);
              else if (Select_Mark_Hor == 1)  Mark_Hor_Down = Decr_valore (Mark_Hor_Down, 0);
               Calc_Delta_M_Hor ();
            }
// --- 5
//
       }
//
         if (buffer_puls == 2) {      // ------------------------ Down
          Calc_Delta_M_Vert ();
           Calc_Delta_M_Hor ();
// --- 0
          if (count_info == 0) {
            Value_Div_Tempo = Decr_valore (Value_Div_Tempo, 1);
             Adeg_Tempi ();
          }
// --- 1
           if (count_info == 1) {
             Value_Div_Volt = Decr_valore (Value_Div_Volt, 1);
              Adeg_Volt ();
               PGA_Guadagno (guadagno_PGA);
           }
// --- 2  Trigger level
            if (count_info == 2) {
              Trigger_Level = Decr_valore (Trigger_Level, 1); // 105
             // Trigger_Level = Incr_valore (Trigger_Level, 31);
             //  CCPR1L = Trigger_Level;
               DACCON1 = Trigger_Level;
            }
// --- 3    0= M Sx, 1= M Dx
            if (count_info == 3) {  // "VERT"
             if (Select_Mark_Vert == 0) Mark_Vert_Sx = Incr_valore (Mark_Vert_Sx, 59);   // Marker verticali
               else if (Select_Mark_Vert == 1) Mark_Vert_Dx = Incr_valore (Mark_Vert_Dx, 59);
                Calc_Delta_M_Vert ();
            }
// --- 4    0= M sup, 1= M inf
             if (count_info == 4) {  // "ORIZ"
              if (Select_Mark_Hor == 0) Mark_Hor_Up = Incr_valore (Mark_Hor_Up, 47);        // Marker orizzontali
                else if (Select_Mark_Hor == 1) Mark_Hor_Down = Incr_valore (Mark_Hor_Down, 47);
                 Calc_Delta_M_Hor ();
             }
// --- 5
//
         }
//
           Info_page_1 (count_info);
            return;
//
 }
// ***************************************************************************** CAMPIONAMENTO LUNGO
// Campionameto e visualizzazione in tempo reale
// *****************************************************************************
 void Campionamento_Lungo () {
  unsigned short j, temp;
  unsigned int count_timeout;
//
    ADCON1 = 0b00100000;   // fosc/32
//
    if (Value_Trigger_Mode == 2 && i == info_on_off) {         // TRIGGER ONCE mode
      for (j=1; j<=info_on_off; j++) {
        nokia_colonna_Bitmap(j+1);                   // colonna retticolo
         Draw_line_vert_3310(sample_v1[j]-8, sample_v1[j-1]-8, j+1, 1);// Disegna colonna
      }
       Delay_msec(30);
       goto _end;
    }
// --- Start campionamento se trigger mode  attivo
     if (Value_Trigger_Mode >= 1 && i == 0) {         // TRIGGER & ONCE mode
        count_timeout = 0;   // Inizializzazione TIME-OUT
         PIR2.C1IF = 0;
//
        if (FRONTE) {     // --------------------------------FRONTE IN SALITA
          C1INTP_bit = 1;
           C1INTN_bit = 0; // Fronte in salita
//
          while (PIR2.C1IF == 0) {                 // Attesa comparatore
           count_timeout ++;                       // TIME-OUT
            if (count_timeout > 20000) goto _end;  // TIME-OUT
          }
        }
//
         else {             // --------------------------------FRONTE IN DISCESA
          C1INTP_bit = 0;
           C1INTN_bit = 1; // Fronte in discesa
//
           while (PIR2.C1IF == 0) {                 // Attesa comparatore
            count_timeout ++;                       // TIME-OUT
             if (count_timeout > 20000) goto _end;  // TIME-OUT
           }
         }
     }
      if (M_t6 == 0) goto _end;
// --- Clear t6_1ms, t6_100ms
    t6_1ms = 0;
     t6_100ms = 0;
      M_t6 = 0;
//  --- Campiona in tempo reale
     ADC_Sample ();              // LATA0_bit ^=1;
      temp = ADRESH;
       temp = 255- temp;
       temp >>= 2;
//
       if (temp <= 8) temp = 8;
        else if (temp >= 55) temp = 55;
         if (i == 0) {
           old_point = temp;
        // old_point = ADRESH;
         }
        else {
         nokia_colonna_Bitmap(i+1);                   // colonna retticolo
         // if (ADRESH <= 104) ADRESH = 104;
         //  if (ADRESH >= 151) ADRESH = 151;
          //  Draw_line_vert_3310(ADRESH-104, old_point-104, i, 1);
          // Draw_line_vert_3310(temp-104, old_point-104, i, 1);   // Disegna colonna
           Draw_line_vert_3310(temp-8, old_point-8, i+1, 1);
            old_point = temp;
             sample_v1[i] = temp;
           //  old_point = ADRESH;
            //  sample_v1[i] = ADRESH-104;
        }
//
         i ++;
          if (i >= info_on_off && Value_Trigger_Mode != 2) i = 0;
//

 _end:
          Draw_Mark_Vert ();
       //    Draw_Mark_Hor ();
            M_camp_lungo = 0;

//
 }
/*










*/